
From: "Randy.Dunlap" <rddunlap@osdl.org>

Use 'unsigned long long' for __u64 printk:

drivers/w1/w1.c:415: warning: long long unsigned int format, __u64 arg (arg 6)

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/w1/w1.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/w1/w1.c~w1-fix-printk-format-warning drivers/w1/w1.c
--- 25/drivers/w1/w1.c~w1-fix-printk-format-warning	2005-03-02 22:24:26.000000000 -0800
+++ 25-akpm/drivers/w1/w1.c	2005-03-02 22:24:26.000000000 -0800
@@ -413,7 +413,8 @@ static int w1_attach_slave_device(struct
 	if (!f) {
 		spin_unlock(&w1_flock);
 		dev_info(&dev->dev, "Family %x for %02x.%012llx.%02x is not registered.\n",
-			  rn->family, rn->family, rn->id, rn->crc);
+			  rn->family, rn->family,
+			  (unsigned long long)rn->id, rn->crc);
 		kfree(sl);
 		return -ENODEV;
 	}
_
